﻿@model Order
@{
    ViewData["Title"] = "Home Page";
    Layout = "_Layout";
}
<div class="text-center">
    <h1 class="display-4">Заказ</h1>
</div>

<div class="container-fluid mt-3">
    <div class="form-row">
        <table class="table table-sm table-hover table-bordered">
            <caption> Заказ </caption>
            <thead>
                <tr class="d-flex">
                    <th class="text-center col-1" scope="col">ID Заказа</th>
                    <th class="text-center col-2" scope="col">Дата</th>
                    <th class="text-center col-4" scope="col">Номер</th>
                    <th class="text-center col-5" scope="col">Поставщик</th>
                </tr>
            </thead>
            <tbody>
            
                <tr class="d-flex">
                    <td class="text-center col-1">
                        <input type="text" class="form-control" value="@Model.Id" disabled />
                    </td>

                    <td class="text-center col-2">
                        <input type="text" class="form-control" value="@Model.Date" disabled />
                    </td>

                    <td class="text-center col-4">
                        <input type="text" class="form-control" value="@Model.Number" disabled />
                    </td>

                    <td class="text-center col-5">
                        <input type="text" class="form-control" value="@Model.ProviderIdNav.Name" disabled />
                    </td>
                </tr>
             
            </tbody>
        </table>
    </div>
</div>


<div class="text-center">
    <h1 class="display-4">Информация о заказе</h1>
</div>

<div class="container-fluid mt-3">
    <div class="form-row">
        <table class="table table-sm table-hover table-bordered">
            <caption> Состав заказа </caption>
            <thead>
                <tr class="d-flex">
                    <th class="text-center col-4" scope="col">Название</th>
                    <th class="text-center col-4" scope="col">Количество</th>
                    <th class="text-center col-4" scope="col">Единица</th>
                </tr>
            </thead>
            <tbody>
     
                    @foreach (var order in Model.OrderItemIds)
                    {
                        <tr class="d-flex">
                            <td class="text-center col-4">
                                <input type="text" class="form-control" value="@order.Name" disabled />
                            </td>

                            <td class="text-center col-4">
                                <input type="text" class="form-control" value="@order.Quantity" disabled />
                            </td>

                            <td class="text-center col-4">
                                <input type="text" class="form-control" value="@order.Unit" disabled />
                            </td>
                        </tr>
                    }
          
                </tbody>
        </table>
    </div>
</div>

<div class="btn-group ">
    <div class="col-auto">
        <form method="get">
            <button asp-controller="Orders" asp-action="EditOrder" 
                    class="btn btn-block btn-outline-primary" type="submit" name="editOrder"  asp-route-id="@Model.Id">
                Редактировать заказ
            </button>
        </form>
    </div>

    <div class="col-auto">
        <form method="post">
            <button asp-controller="Orders" asp-action="DeleteOrder"
                    class="btn btn-block btn-outline-danger" type="submit" name="deleteOrder" asp-route-orderId="@Model.Id">
                Удалить заказ
            </button>
        </form>
    </div>
</div>


